Package robocode

## Class KeyEvent

- java.lang.Object
- - robocode.Event
  - - robocode.KeyEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

Direct Known Subclasses:
  `KeyPressedEvent`, `KeyReleasedEvent`, `KeyTypedEvent`

    public abstract class KeyEvent
    extends Event

Super class of all events that originates from the keyboard.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`KeyEvent​(java.awt.event.KeyEvent source)` Called by the game to create a new KeyEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.awt.event.KeyEvent` `getSourceEvent()` Do not call this method!

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyEvent

    public KeyEvent​(java.awt.event.KeyEvent source)

Called by the game to create a new KeyEvent.

Parameters:
  `source` - the source key event originating from the AWT.

### Method Detail

#### getSourceEvent

    public java.awt.event.KeyEvent getSourceEvent()

Do not call this method!

This method is used by the game to determine the type of the source key event that occurred in the AWT.

Returns:
  the source key event that originates from the AWT.